createpkg(1)

NAME
createpkg - bundles a Ch Package directory for installation

SYNTAX
ch createpkg.ch PACKAGE VERSION

DESCRIPTION
Createpkg bundles a Ch Package for installation. Createpkg will bundle the Ch Package into a Ch Package binary. The binary can then be installed using installpkg.

OPTIONS

PACKAGE
    the name of the Ch Package directory to bundle

VERSION
    the version number of the Ch Package

OUTPUT
PACKAGE_VERSION.tgz.gz

EXAMPLE
Assume that your package directory is called "chpackage" in the current directory and it is version 1.0. Type at the prompt: > ch createpkg.ch chpackage 1.0 A new file called chpackage-1.0.tar.gz should have been created. To install the package, unarchive the file and read the README file that comes with the package.

SEE ALSO
 installpkg

AUTHOR
Stephen Nestinger